<?php
    /* 
     * crearTablasContactenos.php
     * Programa encargado de crear la tabla de Contactenos y de Correos (esta ultima si el usuario asi lo quiere) y ademas crear
     * todos los vinculos necesario con las tablas CON y PAR, asi como asignarle a los perfiles que existan en la aplicacion, la permisologia
     * necesaria para que vean las tablas. Igualmente se le crea un reporte basico a cada una de las tablas.
     *
     */

    // Parametros Modificables

    /* 
     * Si desea crear la Tabla Correos para aparte de hacerle envios de contactenos a los departamentos de la compañia, hacerlo
     * a personas particulares a traves de su correo, debe colocarle SI como valor a la siguiente variable, en caso contrario NO
     */

    /*---------------------- CREACION TABLA CONT&#193CTENOS ----------------------*/
    
    // Set de clave Foránea
    $primeraSentencia = "SET FOREIGN_KEY_CHECKS=0";
    mysql_query ($primeraSentencia) or die ("Error en clave foránea \n");

    // Si existe la tabla a crear {$EEE}XC1, la elimina
    $borrarTabla="DROP TABLE IF EXISTS {$EEE}XC1";
    mysql_query ($borrarTabla) or die ("Error borrando la tabla XC1 \n");
    
    // Creación de la estructura de la tabla {$EEE}XC1
    $crearTabla = "CREATE TABLE {$EEE}XC1 (";
    $crearTabla .= "XC1Codigo int(11) NOT NULL auto_increment,";
    $crearTabla .= "XC1Nombre varchar(100) default NULL,";
    $crearTabla .= "XC1CodAgente int(11) default NULL,";
    $crearTabla .= "XC1Linea1 varchar(70) default NULL,";
    $crearTabla .= "XC1Link1_XC3 int(11) default NULL,";
    $crearTabla .= "XC1Lista1 varchar(40) default NULL,";
    $crearTabla .= "XC1Bloque1 text,";
    $crearTabla .= "XC1Lista2 varchar(40) default NULL,";
    $crearTabla .= "XC1Fecha1 date default NULL,";
    $crearTabla .= "XC1Hora1 time default NULL,";
    $crearTabla .= "XC1EnlaceP int(11) default '0',";
    $crearTabla .= "XC1Fecha2 date default NULL,";
    $crearTabla .= "XC1Linea2 varchar(40) default NULL,";
    $crearTabla .= "XC1Linea3 varchar(40) default NULL,";
    $crearTabla .= "XC1Linea4 varchar(40) default NULL,";
    $crearTabla .= "XC1Linea5 varchar(40) default NULL,";
    $crearTabla .= "XC1Linea6 varchar(40) default NULL,";
    $crearTabla .= "XC1Email1 varchar(40) default NULL,";
    $crearTabla .= "XC1Lista3 varchar(40) default NULL,";
    $crearTabla .= "XC1Cant1 int(11) default NULL,";
    $crearTabla .= "XC1Cant2 int(11) default NULL,";
    $crearTabla .= "XC1Tel1 varchar(100) default NULL,";
    $crearTabla .= "XC1Especial text,";
    $crearTabla .= "PRIMARY KEY  (XC1Codigo)";
    $crearTabla .= ") ENGINE=MyISAM DEFAULT CHARSET=latin1;";
    $resultado = mysql_query ($crearTabla);
    // Ejecuto el Query sobre la tabla XC1
    if (!$resultado) {
        echo "Error creando la tabla {$EEE}XC1". mysql_error()."\n";
        die;
    }

    // Insertando registros en la tabla CON
    $insertarCON =  "INSERT INTO {$EEE}CON (CONCodigo, CONTabla, CONNombre, CONCampo, CONTipo, 
								CONLongitud, CONLongVista, CONObligatorio, CONVisible, 
								CONOrden, CONAyuda, CONTab, CONPrevio, CONAntes, 
								CONDespues, CONRest, CONMin, CONMax, CONDefault,
								CONMascara, CONFormula, CONUnico, CONEditor, CONIdioAlt, CONComents) VALUES ";
    $insertarCON .= " ('', 'XC1', 'Asunto', 'Linea1', 'Linea', '70', '70', 'SI', 'VER', '10', '', '', '', null, null, '', '', '', '', null, null, 'NO', null, null, null),";
    $insertarCON .= " ('', 'XC1', 'Para', 'Lista1', 'Lista', '40', '40', 'SI', 'VER', '20', '', '', '', null, null, '', '', '', '', null, null, '', null, null, ''),";
    $insertarCON .= " ('', 'XC1', 'Detalle', 'Bloque1', 'Bloque', '70', '6', 'SI', 'VER', '30', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Estatus', 'Lista2', 'Lista', '40', '40', 'NO', 'VER', '40', '', '', '', null, null, '', '', '', '', null, null, '', null, null, ''),";
    $insertarCON .= " ('', 'XC1', 'Fecha Recepci&#243n', 'Fecha1', 'Fecha', '0', '0', 'NO', 'VER', '50', '', '', '', null, null, '', '', '', '', null, null, 'NO', null, null, null),";
    $insertarCON .= " ('', 'XC1', 'Hora Recepci&#243n', 'Hora1', 'Hora', '0', '0', 'NO', 'VER', '60', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Cliente', 'EnlaceP', 'Enlace', '0', '0', 'NO', 'VER', '70', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Fecha Respuesta', 'Fecha2', 'Fecha', '0', '0', 'NO', 'VER', '80', '', '', '', null, null, '', '', '', '', null, null, 'NO', null, null, null),";
    $insertarCON .= " ('', 'XC1', 'Primer Nombre', 'Linea2', 'Linea', '40', '20', 'SI', 'VER', '90', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Segundo Nombre', 'Linea3', 'Linea', '40', '20', 'NO', 'VER', '100', '', '', 'NO', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Primer Apellido', 'Linea4', 'Linea', '40', '20', 'SI', 'VER', '110', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Segundo Apellido', 'Linea5', 'Linea', '40', '20', 'NO', 'VER', '120', '', '', 'NO', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Nombre Completo', 'Linea6', 'Linea', '40', '40', 'NO', 'VER', '130', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Email', 'Email1', 'Email', '40', '40', 'SI', 'VER', '140', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'Tel&#233fono', 'Lista3', 'Lista', '40', '40', 'NO', 'VER', '150', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),";
    $insertarCON .= " ('', 'XC1', 'C&#243digo Pa&#237s', 'Cant1', 'Cant', '4', '4', 'NO', 'VER', '160', '', '', 'NO', '', '', '', '', '', '58', '', '', 'NO', '', '', null),";
    $insertarCON .= " ('', 'XC1', 'C&#243digo &#193rea', 'Cant2', 'Cant', '4', '4', 'NO', 'VER', '170', '', '', 'NO', null, null, '', '', '', '', null, null, 'NO', null, null, null),";
    $insertarCON .= " ('', 'XC1', 'N&#250mero de Tel&#233fono', 'Tel1', 'Tel', '10', '10', 'NO', 'VER', '180', '', '', 'NO', null, null, '', '', '', '', null, null, 'NO', null, null, null)";
    // Ejecuto el Query sobre la tabla CON    
    $resultado = mysql_query ($insertarCON);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}CON <br>". mysql_error()."\n";
        die;
    }

    // Insertando registros en la tabla LIS. Con esto se llenan 3 de las 4 listas a usar en la tabla Contactenos. Ver en el manual como llenar la 4ta.
    $insertarLIS =  "INSERT INTO {$EEE}LIS (LISCodigo, LISNombre, LISPadre, LISValor, LISOrden) VALUES ";
    $insertarLIS .= " ('', 'XC1Lista2', '0', 'Nuevo', '10'),";
    $insertarLIS .= " ('', 'XC1Lista2', '0', 'Le&#237do', '20'),";
    $insertarLIS .= " ('', 'XC1Lista2', '0', 'Respondido', '30'),";
    $insertarLIS .= " ('', 'XC1Lista2', '0', 'Cerrado', '40'),";
    $insertarLIS .= " ('', 'XC1Lista3', '0', 'Celular', '10'),";
    $insertarLIS .= " ('', 'XC1Lista3', '0', 'Habitaci&#243n', '20'),";
    $insertarLIS .= " ('', 'XC1Lista3', '0', 'Oficina', '30')";
    // Ejecuto el Query sobre la tabla LIS
    $resultado = mysql_query ($insertarLIS);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}LIS". mysql_error()."\n";
        die;
    }
    
    // Actualizando TablasUtilizadas con la nueva tabla
    $nuevaTablaAAgregar = ",XC1";
    $ActualizarTablasUsadas = "UPDATE {$EEE}PAR SET PARValor = CONCAT(PARValor, '$nuevaTablaAAgregar')  WHERE PARCampo ='TablasUtilizadas'  ";
    // Ejecuto el Query sobre la tabla PAR
    $resultado = mysql_query ($ActualizarTablasUsadas);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PAR: ". mysql_error()."\n";
        die;
    }
    
    // Insertando los registros en la tabla de Parámetros   
    $insertarPAR =  "INSERT INTO {$EEE}PAR (PARCodigo, PARTabla, PARCampo, PARValor, PARComentarios) VALUES ";
    $insertarPAR .= " ('', 'XC1', 'VerExtendidoXC1', 'contactenos/XC1Extendido.php', null),";
    $insertarPAR .= " ('', 'XC1', 'PostXC1', 'contactenos/PostXC1.php', null),";
    $insertarPAR .= " ('', 'XC1', 'PreXC1', 'contactenos/PreXC1.php', null),";
    $insertarPAR .= " ('', 'XC1', 'IncludeHTMLactXC1', 'contactenos/cabeceraXC1.htm', null),";
    $insertarPAR .= " ('', 'XC1', 'XC1', 'CONT&#193CTENOS', null),";
    $insertarPAR .= " ('', 'XC1', 'NroXC1', 'N&#250mero Cont&#225ctenos', null),";
    $insertarPAR .= " ('', 'XC1', 'NombreXC1', 'Nombre', null),";
    $insertarPAR .= " ('', 'XC1', 'ColorXC1', '32', null),";
    $insertarPAR .= " ('', 'XC1', 'ObligNombreXC1', 'NO', null),";
    $insertarPAR .= " ('', 'XC1', 'UnicoNombreXC1', 'NO', null),";
    $insertarPAR .= " ('', 'XC1', 'BuscaRapidaXC1', 'Nombre', null),";
    $insertarPAR .= " ('', 'XC1', 'AccionArranqueXC1', '0', null),";
    $insertarPAR .= " ('', 'XC1', 'LongNombreXC1', '70', null),";
    $insertarPAR .= " ('', 'XC1', 'XC1Carta', 'NO', null),";
    $insertarPAR .= " ('', 'XC1', 'ForbidReportUpdateXC1', 'NO', null),";
    $insertarPAR .= " ('', 'XC1', 'XC1Login', 'NO', null),";
    $insertarPAR .= " ('', 'XC1', 'FormulaXC1', 'contactenos/XC1Formula.php', null),";
    $insertarPAR .= " ('', 'XC1', 'RestricNombreXC1', 'X', null),";
    $insertarPAR .= " ('', 'XC1', 'TipoDeTabXC1', '0', null),";
    $insertarPAR .= " ('', 'XC1', 'IncludeJSactXC1', 'contactenos/IncluirJS.js', null)";
    // Ejecuto el Query sobre la tabla PAR
    $resultado = mysql_query($insertarPAR);
    if(!$resultado){
        echo "Error insertando en la tabla {$EEE}PAR". mysql_error()."\n";
        die;
    }
    
    // Insertando registros en la tabla REP para la tabla XC1 y para la tabla INT
    $insertarREP  = "INSERT INTO {$EEE}REP (REPCodigo, REPTabla, REPTablasAListar, REPTituloCorto, REPTituloLargo, 
								REPCuales, REPCampos, REPCamposAListar, REPOrden, 
								REPAD, REPOrdenamiento, REPParametros, REPPrivado, REPCodAgente) VALUES ";
    $insertarREP .= " ('', 'XC1', '{$EEE}XC1', 'Básico', 'Reporte Básico', 'XC1Codigo>0', 'XC1Linea1.XC1Lista1.XC1Email1.XC1Lista2.XC1EnlaceP', 'XC1Codigo,XC1Linea1,XC1Lista1,XC1Email1,XC1Lista2,XC1EnlaceP', 'XC1Codigo', 'ASC', 'XC1Codigo ASC', 'ImagenøNOþCalculadoraøSIþIndicacionOrdenøNOþTopeøNOþPieøSIþSoloTotalesøNOþIrExtendidoøNOþVerConExtendidoøNOþOmitirCodRegistroøNOþOmitirInteraccionesøNO', '1', 'NO')";
    $resultado = mysql_query($insertarREP);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}REP". mysql_error()."\n";
        die;
    }

    // Actualizando el Perfil Admin para que pueda ver la tabla de banners con todos los permisos
    // Si desea quitar algún permiso o darle acceso a esta tabla a otro perfil, lo puede hacer directamente en la aplicación
    $permisosParaAdmin = ";XC1:1111111111111111111111111111111111111";
    $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaAdmin')  WHERE PROCodigo ='1'  ";
    $resultado = mysql_query($actualizarPermisos);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
        die;
    }
    // Actualizando permisos para no Admin
    $permisosParaNoAdmin = ";XC1:0000000000000000000000000000000000000";
    $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaNoAdmin')  WHERE PROCodigo != '1'  ";
    $resultado = mysql_query($actualizarPermisos);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
        die;
    }
    
    /*---------------------- CREACION TABLA INTERACCIONES CONTACTENOS (XC2) ----------------------*/
    
    // Si existe la tabla a crear {$EEE}XC2, la elimina
    $borrarTabla="DROP TABLE IF EXISTS {$EEE}XC2";
    mysql_query ($borrarTabla) or die ("Error borrando la tabla XC2 \n");
    
    // Creación de la estructura de la tabla {$EEE}XC2
    $crearTabla = "CREATE TABLE {$EEE}XC2 (";
    $crearTabla .= "XC2Codigo int(11) NOT NULL auto_increment,";
    $crearTabla .= "XC2Nombre varchar(100) default NULL,";
    $crearTabla .= "XC2CodAgente int(11) default NULL,";
    $crearTabla .= "XC2Link1_XC1 int(11) default '0',";
    $crearTabla .= "XC2Fecha1 date default NULL,";
    $crearTabla .= "XC2Hora1 time default NULL,";
    $crearTabla .= "XC2Bloque1 text,";
    $crearTabla .= "XC2Lista1 varchar(30) default NULL,";
    $crearTabla .= "XC2Lista2 varchar(30) default NULL,";
    $crearTabla .= "XC2Especial text,";
    $crearTabla .= "PRIMARY KEY  (XC2Codigo)";
    $crearTabla .= ") ENGINE=MyISAM DEFAULT CHARSET=utf8;";
    $resultado = mysql_query ($crearTabla);
    // Ejecuto el Query sobre la tabla XC2
    if (!$resultado) {
        echo "Error creando la tabla {$EEE}XC2". mysql_error()."\n";
        die;
    }
    
    // Insertando registros en la tabla CON
    $insertarCON  = "INSERT INTO {$EEE}CON (CONCodigo, CONTabla, CONNombre, CONCampo, CONTipo, 
								CONLongitud, CONLongVista, CONObligatorio, CONVisible, 
								CONOrden, CONAyuda, CONTab, CONPrevio, CONAntes, 
								CONDespues, CONRest, CONMin, CONMax, CONDefault,
								CONMascara, CONFormula, CONUnico, CONEditor, CONIdioAlt, CONComents) VALUES ";
    $insertarCON .= " ('', 'XC2', 'Nro Evento', 'Link1_XC1', 'Link', '0', '0', 'SI', 'VER', '10', '', null, null, null, null, null, null, null, null, null, null, 'NO', null, null, null), ";
    $insertarCON .= " ('', 'XC2', 'Fecha', 'Fecha1', 'Fecha', '0', '0', 'SI', 'VER', '20', '', null, null, null, null, null, null, null, null, null, null, 'NO', null, null, null), ";
    $insertarCON .= " ('', 'XC2', 'Hora', 'Hora1', 'Hora', '10', '10', 'SI', 'VER', '30', '', null, null, null, null, null, null, null, null, null, null, 'NO', null, null, null), ";
    $insertarCON .= " ('', 'XC2', 'Respuesta', 'Bloque1', 'Bloque', '60', '4', 'NO', 'VER', '40', '', null, null, null, null, null, null, null, null, null, null, 'NO', null, null, null), ";
    $insertarCON .= " ('', 'XC2', 'Tipo Interaccion', 'Lista1', 'Lista', '15', '15', 'SI', 'VER', '50', '', null, null, null, null, null, null, null, null, null, null, 'NO', null, null, null), ";
    $insertarCON .= " ('', 'XC2', 'Medio', 'Lista2', 'Lista', '15', '15', 'SI', 'VER', '60', '', null, null, null, null, null, null, null, null, null, null, 'NO', null, null, null) ";
    // Ejecuto el Query sobre la tabla CON
    $resultado = mysql_query ($insertarCON);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}CON". mysql_error()."\n";
        die;
    }

    // Llenamos la Lista de Medio
    $insertarLIS  = "INSERT INTO {$EEE}LIS (LISCodigo, LISNombre, LISPadre, LISValor, LISOrden) VALUES ";
    $insertarLIS .= " ('','XC2Lista1',NULL,'Respuesta Cont&#225ctenos','10'), ";
    $insertarLIS .= " ('','XC2Lista1',NULL,'Cambio Destinatario','20'), ";
    $insertarLIS .= " ('','XC2Lista2',NULL,'Tel&#233fono','10'), ";
    $insertarLIS .= " ('','XC2Lista2',NULL,'E-Mail','20'), ";
    $insertarLIS .= " ('','XC2Lista2',NULL,'Visita','30'), ";
    $insertarLIS .= " ('','XC2Lista2',NULL,'Fax','40'), ";
    $insertarLIS .= " ('','XC2Lista2',NULL,'P&#225gina Web','50') ";
    // Ejecuto el Query sobre la tabla LIS
    $resultado = mysql_query ($insertarLIS);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}LIS". mysql_error()."\n";
        die;
    }

    // Actualizando TablasUtilizadas con la nueva tabla
    $nuevaTablaAAgregar = ",XC2";
    $ActualizarTablasUsadas = "UPDATE {$EEE}PAR SET PARValor = CONCAT(PARValor, '$nuevaTablaAAgregar')  WHERE PARCampo ='TablasUtilizadas'  ";
    // Ejecuto el Query sobre la tabla PAR
    $resultado = mysql_query ($ActualizarTablasUsadas);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PAR: ". mysql_error()."\n";
        die;
    }
    
    // Insertando los registros en la tabla de Parámetros   
    $insertarPAR =  "INSERT INTO {$EEE}PAR (PARCodigo, PARTabla, PARCampo, PARValor, PARComentarios) VALUES ";
    $insertarPAR .= " ('', 'XC2', 'XC2', 'INTERACCIONES CONTACTENOS', null),";
    $insertarPAR .= " ('', 'XC2', 'NroXC2', 'Nro Asunto', null),";
    $insertarPAR .= " ('', 'XC2', 'NombreXC2', 'Nombre', null),";
    $insertarPAR .= " ('', 'XC2', 'LongNombreXC2', '80', null),";
    $insertarPAR .= " ('', 'XC2', 'ObligNombreXC2', 'SI', null),";
    $insertarPAR .= " ('', 'XC2', 'UnicoNombreXC2', 'NO', null),";
    $insertarPAR .= " ('', 'XC2', 'XC2Login', 'NO', null),";
    $insertarPAR .= " ('', 'XC2', 'ForbidReportUpdateXC2', 'NO', null),";
    $insertarPAR .= " ('', 'XC2', 'XC2Carta', 'NO', null),";
    $insertarPAR .= " ('', 'XC2', 'BuscaRapidaXC2', 'Nombre', null),";
    $insertarPAR .= " ('', 'XC2', 'TipoDeTabXC2', '0', null),";
    $insertarPAR .= " ('', 'XC2', 'AccionArranqueXC2', '0', null),";
    $insertarPAR .= " ('', 'XC2', 'ColorXC2', '32', null) ";
    // Ejecuto el Query sobre la tabla PAR
     $resultado = mysql_query($insertarPAR);
    if(!$resultado){
        echo "Error insertando en la tabla {$EEE}PAR". mysql_error()."\n";
        die;
    }
    
    // Insertando registros en la tabla REP
    $insertarREP = "INSERT INTO {$EEE}REP (REPCodigo, REPTabla, REPTablasAListar, REPTituloCorto, REPTituloLargo, 
								REPCuales, REPCampos, REPCamposAListar, REPOrden, 
								REPAD, REPOrdenamiento, REPParametros, REPPrivado, REPCodAgente) VALUES ('','XC2','{$EEE}XC2','Básico','Reporte Básico','XC2Codigo>0','XC2Nombre.XC2Fecha1.XC2Hora1.XC2Bloque1.XC2Lista1.XC2Lista2','XC2Codigo,XC2Nombre,XC2Fecha1,XC2Hora1,XC2Bloque1,XC2Lista1,XC2Lista2','XC2Codigo','ASC','XC2Codigo ASC','ImagenøNOþCalculadoraøSIþSaltoRapidoøNOþIndicacionOrdenøNOþTopeøNOþPieøSIþSoloTotalesøNOþIrExtendidoøNOþVerConExtendidoøNOþOmitirCodRegistroøNOþOmitirInteraccionesøNO','NO','1');";
    $resultado = mysql_query($insertarREP);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}REP". mysql_error()."\n";
        die;
    }

    // Actualizando el Perfil Admin para que pueda ver la tabla de banners con todos los permisos
    // Si desea quitar algún permiso o darle acceso a esta tabla a otro perfil, lo puede hacer directamente en la aplicación
    $permisosParaAdmin = ";XC2:1111111111111111111111111111111111111";
    $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaAdmin')  WHERE PROCodigo ='1'  ";
    $resultado = mysql_query($actualizarPermisos);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
        die;
    }
    // Actualizando permisos para no Admin
    $permisosParaNoAdmin = ";XC2:0000000000000000000000000000000000000";
    $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaNoAdmin')  WHERE PROCodigo != '1'  ";
    $resultado = mysql_query($actualizarPermisos);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
        die;
    }

    /*---------------------- CREACION TABLA GRUPO CONTACTENOS ----------------------*/
    
    // Si existe la tabla a crear {$EEE}XC3, la elimina
    $borrarTabla="DROP TABLE IF EXISTS {$EEE}XC3";
    mysql_query ($borrarTabla) or die ("Error borrando la tabla XC3 \n");
    
    // Creación de la estructura de la tabla {$EEE}XC3
    $crearTabla = "CREATE TABLE {$EEE}XC3 (";
    $crearTabla .= "XC3Codigo int(11) NOT NULL auto_increment,";
    $crearTabla .= "XC3Nombre varchar(100) default NULL,";
    $crearTabla .= "XC3CodAgente int(11) default NULL,";
    $crearTabla .= "XC3MLink1_AGE text default NULL,";
    $crearTabla .= "PRIMARY KEY  (XC3Codigo)";
    $crearTabla .= ") ENGINE=MyISAM DEFAULT CHARSET=latin1;";
    $resultado = mysql_query ($crearTabla);
    // Ejecuto el Query sobre la tabla XC3
    if (!$resultado) {
        echo "Error creando la tabla {$EEE}XC3". mysql_error()."\n";
        die;
    }

    // Insertando registros en la tabla CON
    $insertarCON  = "INSERT INTO {$EEE}CON (CONCodigo, CONTabla, CONNombre, CONCampo, CONTipo, 
								CONLongitud, CONLongVista, CONObligatorio, CONVisible, 
								CONOrden, CONAyuda, CONTab, CONPrevio, CONAntes, 
								CONDespues, CONRest, CONMin, CONMax, CONDefault,
								CONMascara, CONFormula, CONUnico, CONEditor, CONIdioAlt, CONComents) VALUES ";
    $insertarCON .= " ('', 'XC3', 'Responsable', 'MLink1_AGE', 'MLink', '0', '0', 'SI', 'VER', '10', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null) ";
    // Ejecuto el Query sobre la tabla CON
    $resultado = mysql_query ($insertarCON);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}CON". mysql_error()."\n";
        die;
    }
    
    // Actualizando TablasUtilizadas con la nueva tabla
    $nuevaTablaAAgregar = ",XC3";
    $ActualizarTablasUsadas = "UPDATE {$EEE}PAR SET PARValor = CONCAT(PARValor, '$nuevaTablaAAgregar')  WHERE PARCampo ='TablasUtilizadas'  ";
    // Ejecuto el Query sobre la tabla PAR
    $resultado = mysql_query ($ActualizarTablasUsadas);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PAR: ". mysql_error()."\n";
        die;
    }
    
    // Insertando los registros en la tabla de Parámetros   
    $insertarPAR =  "INSERT INTO {$EEE}PAR (PARCodigo, PARTabla, PARCampo, PARValor, PARComentarios) VALUES ";
    $insertarPAR .= " ('', 'XC3', 'VerExtendidoXC3', '', null),";
    $insertarPAR .= " ('', 'XC3', 'PostXC3', 'contactenos/PostXC3.php', null),";
    $insertarPAR .= " ('', 'XC3', 'PreXC3', 'contactenos/PreXC3.php', null),";
    $insertarPAR .= " ('', 'XC3', 'IncludeHTMLactXC3', 'contactenos/cabeceraXC3.htm', null),";
    $insertarPAR .= " ('', 'XC3', 'XC3', 'GRUPO CONT&#193CTENOS', null),";
    $insertarPAR .= " ('', 'XC3', 'NroXC3', 'C&#243digo Grupo', null),";
    $insertarPAR .= " ('', 'XC3', 'NombreXC3', 'Nombre del Grupo', null),";
    $insertarPAR .= " ('', 'XC3', 'ColorXC3', '32', null),";
    $insertarPAR .= " ('', 'XC3', 'ObligNombreXC3', 'SI', null),";
    $insertarPAR .= " ('', 'XC3', 'UnicoNombreXC3', 'SI', null),";
    $insertarPAR .= " ('', 'XC3', 'BuscaRapidaXC3', 'Nombre', null),";
    $insertarPAR .= " ('', 'XC3', 'AccionArranqueXC3', '0', null),";
    $insertarPAR .= " ('', 'XC3', 'LongNombreXC3', '70', null),";
    $insertarPAR .= " ('', 'XC3', 'XC3Carta', 'NO', null),";
    $insertarPAR .= " ('', 'XC3', 'ForbidReportUpdateXC3', 'NO', null),";
    $insertarPAR .= " ('', 'XC3', 'XC3Login', 'NO', null),";
    $insertarPAR .= " ('', 'XC3', 'FormulaXC3', '', null),";
    $insertarPAR .= " ('', 'XC3', 'RestricNombreXC3', '', null),";
    $insertarPAR .= " ('', 'XC3', 'TipoDeTabXC3', '0', null)";
    // Ejecuto el Query sobre la tabla PAR
    $resultado = mysql_query($insertarPAR);
    if(!$resultado){
        echo "Error insertando en la tabla {$EEE}PAR". mysql_error()."\n";
        die;
    }

    // Insertando registros en la tabla REP
    $insertarREP = "INSERT INTO {$EEE}REP (REPCodigo, REPTabla, REPTablasAListar, REPTituloCorto, REPTituloLargo, 
								REPCuales, REPCampos, REPCamposAListar, REPOrden, 
								REPAD, REPOrdenamiento, REPParametros, REPPrivado, REPCodAgente) VALUES ('', 'XC3', '{$EEE}XC3', 'Básico', 'Reporte Básico', 'XC3Codigo>0', 'XC3Nombre.XC3MLink1_AGE', 'XC3Codigo,XC3Nombre,XC3MLink1_AGE', 'XC3Codigo', 'ASC', 'XC3Codigo ASC', 'ImagenøNOþCalculadoraøSIþIndicacionOrdenøNOþTopeøNOþPieøSIþSoloTotalesøNOþIrExtendidoøNOþVerConExtendidoøNOþOmitirCodRegistroøNOþOmitirInteraccionesøNO', '1', 'NO');";
    $resultado = mysql_query($insertarREP);
    if (!$resultado) {
        echo "Error insertando en la tabla {$EEE}REP". mysql_error()."\n";
        die;
    }

    // Actualizando el Perfil Admin para que pueda ver la tabla de banners con todos los permisos
    // Si desea quitar algún permiso o darle acceso a esta tabla a otro perfil, lo puede hacer directamente en la aplicación
    $permisosParaAdmin = ";XC3:1111111111111111111111111111111111111";
    $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaAdmin')  WHERE PROCodigo ='1'  ";
    $resultado = mysql_query($actualizarPermisos);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
        die;
    }
    // Actualizando permisos para no Admin
    $permisosParaNoAdmin = ";XC3:0000000000000000000000000000000000000";
    $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaNoAdmin')  WHERE PROCodigo != '1'  ";
    $resultado = mysql_query($actualizarPermisos);
    if (!$resultado) {
        echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
        die;
    }
    
    /*---------------------- CREACION TABLA CORREOS ----------------------*/
        // Si existe la tabla a crear {$EEE}XC4, la elimina
        $borrarTabla="DROP TABLE IF EXISTS {$EEE}XC4";
        mysql_query ($borrarTabla) or die ("Error borrando la tabla XC4 \n");
        
        // Creación de la estructura de la tabla {$EEE}XC4
        $crearTabla = "CREATE TABLE {$EEE}XC4 (";
        $crearTabla .= "XC4Codigo int(11) NOT NULL auto_increment,";
        $crearTabla .= "XC4Nombre varchar(100) default NULL,";
        $crearTabla .= "XC4CodAgente int(11) default NULL,";
        $crearTabla .= "XC4Linea1 varchar(40) default NULL,";
        $crearTabla .= "XC4Linea2 varchar(40) default NULL,";
        $crearTabla .= "XC4Linea3 varchar(40) default NULL,";
        $crearTabla .= "XC4Linea4 varchar(40) default NULL,";
        $crearTabla .= "XC4Linea5 varchar(80) default NULL,";
        $crearTabla .= "XC4Email1 varchar(40) default NULL,";
        $crearTabla .= "XC4Especial text,";
        $crearTabla .= "PRIMARY KEY  (XC4Codigo)";
        $crearTabla .= ") ENGINE=MyISAM DEFAULT CHARSET=latin1;";
        $resultado = mysql_query ($crearTabla);
        // Ejecuto el Query sobre la tabla XC4
        if (!$resultado) {
            echo "Error creando la tabla {$EEE}XC4". mysql_error()."\n";
            die;
        }
    
        $insertarCON  = "INSERT INTO {$EEE}CON (CONCodigo, CONTabla, CONNombre, CONCampo, CONTipo, 
								CONLongitud, CONLongVista, CONObligatorio, CONVisible, 
								CONOrden, CONAyuda, CONTab, CONPrevio, CONAntes, 
								CONDespues, CONRest, CONMin, CONMax, CONDefault,
								CONMascara, CONFormula, CONUnico, CONEditor, CONIdioAlt, CONComents) VALUES ";
        $insertarCON .= " ('', 'XC4', 'Primer Nombre', 'Linea1', 'Linea', '40', '20', 'SI', 'VER', '10', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
        $insertarCON .= " ('', 'XC4', 'Segundo Nombre', 'Linea2', 'Linea', '40', '20', 'NO', 'VER', '20', '', '', 'NO', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
        $insertarCON .= " ('', 'XC4', 'Primer Apellido', 'Linea3', 'Linea', '40', '20', 'SI', 'VER', '30', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
        $insertarCON .= " ('', 'XC4', 'Segundo Apellido', 'Linea4', 'Linea', '40', '20', 'NO', 'VER', '40', '', '', 'NO', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
        $insertarCON .= " ('', 'XC4', 'Nombre Completo', 'Linea5', 'Linea', '40', '20', 'NO', 'VER', '50', '', '', 'NO', '', '', '', '', '', '', '', '', 'NO', '', '', null),";
        $insertarCON .= " ('', 'XC4', 'Email', 'Email1', 'Email', '40', '40', 'SI', 'VER', '60', '', '', '', '', '', '', '', '', '', '', '', 'NO', '', '', null)";
        // Ejecuto el Query sobre la tabla CON
        $resultado = mysql_query ($insertarCON);
        if (!$resultado) {
            echo "Error insertando en la tabla {$EEE}CON". mysql_error()."\n";
            die;
        }
        
        // Actualizando TablasUtilizadas con la nueva tabla
        $nuevaTablaAAgregar = ",XC4";
        $ActualizarTablasUsadas = "UPDATE {$EEE}PAR SET PARValor = CONCAT(PARValor, '$nuevaTablaAAgregar')  WHERE PARCampo ='TablasUtilizadas'  ";
        // Ejecuto el Query sobre la tabla PAR
        $resultado = mysql_query ($ActualizarTablasUsadas);
        if (!$resultado) {
            echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PAR: ". mysql_error()."\n";
            die;
        }
    
        // Insertando los registros en la tabla de Parámetros   
        $insertarPAR =  "INSERT INTO {$EEE}PAR (PARCodigo, PARTabla, PARCampo, PARValor, PARComentarios) VALUES ";
        $insertarPAR .= " ('', 'XC4', 'VerExtendidoXC4', '', null),";
        $insertarPAR .= " ('', 'XC4', 'PostXC4', 'contactenos/PostXC4.php', null),";
        $insertarPAR .= " ('', 'XC4', 'PreXC4', 'contactenos/PreXC4.php', null),";
        $insertarPAR .= " ('', 'XC4', 'IncludeHTMLactXC4', 'contactenos/cabeceraXC4.htm', null),";
        $insertarPAR .= " ('', 'XC4', 'XC4', 'EXTERNOS', null),";
        $insertarPAR .= " ('', 'XC4', 'NroXC4', 'C&#243digo', null),";
        $insertarPAR .= " ('', 'XC4', 'NombreXC4', 'Nombre Externo', null),";
        $insertarPAR .= " ('', 'XC4', 'ColorXC4', '32', null),";
        $insertarPAR .= " ('', 'XC4', 'ObligNombreXC4', 'NO', null),";
        $insertarPAR .= " ('', 'XC4', 'UnicoNombreXC4', 'NO', null),";
        $insertarPAR .= " ('', 'XC4', 'BuscaRapidaXC4', 'Nombre', null),";
        $insertarPAR .= " ('', 'XC4', 'AccionArranqueXC4', '0', null),";
        $insertarPAR .= " ('', 'XC4', 'LongNombreXC4', '70', null),";
        $insertarPAR .= " ('', 'XC4', 'XC4Carta', 'NO', null),";
        $insertarPAR .= " ('', 'XC4', 'ForbidReportUpdateXC4', 'NO', null),";
        $insertarPAR .= " ('', 'XC4', 'XC4Login', 'NO', null),";
        $insertarPAR .= " ('', 'XC4', 'FormulaXC4', 'contactenos/XC4Formula.php', null),";
        $insertarPAR .= " ('', 'XC4', 'RestricNombreXC4', 'X', null),";
        $insertarPAR .= " ('', 'XC4', 'TipoDeTabXC4', '0', null)";
        // Ejecuto el Query sobre la tabla PAR
        $resultado = mysql_query($insertarPAR);
        if(!$resultado){
            echo "Error insertando en la tabla {$EEE}PAR". mysql_error()."\n";
            die;
        }
    
        // Insertando registros en la tabla REP
        $insertarREP = "INSERT INTO {$EEE}REP (REPCodigo, REPTabla, REPTablasAListar, REPTituloCorto, REPTituloLargo, 
								REPCuales, REPCampos, REPCamposAListar, REPOrden, 
								REPAD, REPOrdenamiento, REPParametros, REPPrivado, REPCodAgente) VALUES ('', 'XC4', '{$EEE}XC4', 'Básico', 'Reporte Básico', 'XC4Codigo>0', 'XC4Linea5.XC4Email1', 'XC4Codigo,XC4Linea5,XC4Email1', 'XC4Codigo', 'ASC', 'XC4Codigo ASC', 'ImagenøNOþCalculadoraøSIþIndicacionOrdenøNOþTopeøNOþPieøSIþSoloTotalesøNOþIrExtendidoøNOþVerConExtendidoøNOþOmitirCodRegistroøNOþOmitirInteraccionesøNO', '1', 'NO');";
        $resultado = mysql_query($insertarREP);
        if (!$resultado) {
            echo "Error insertando en la tabla {$EEE}REP". mysql_error()."\n";
            die;
        }

        // Actualizando el Perfil Admin para que pueda ver la tabla de banners con todos los permisos
        // Si desea quitar algún permiso o darle acceso a esta tabla a otro perfil, lo puede hacer directamente en la aplicación
        $permisosParaAdmin = ";XC4:1111111111111111111111111111111111111";
        $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaAdmin')  WHERE PROCodigo ='1'  ";
        $resultado = mysql_query($actualizarPermisos);
        if (!$resultado) {
            echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
            die;
        }
        // Actualizando permisos para no Admin
        $permisosParaNoAdmin = ";XC4:0000000000000000000000000000000000000";
        $actualizarPermisos = "UPDATE {$EEE}PRO SET PROPerfil = CONCAT(PROPerfil, '$permisosParaNoAdmin')  WHERE PROCodigo != '1'  ";
        $resultado = mysql_query($actualizarPermisos);
        if (!$resultado) {
            echo "Error actualizando TablasUtilizadas en la tabla {$EEE}PRO: ". mysql_error()."\n";
            die;
        }


    /*---------------------- IMPRESION DE MENSAJES DE CREACION DE LAS TABLAS ----------------------*/
    
    echo "<html>";
        echo "\t<h1 align='center'>Tabla Cont&aacute;ctenos(XC1) creada exitosamente</h1>";
        echo "\t<h1 align='center'>Tabla Interacciones Cont&aacute;ctenos(XC2) creada exitosamente</h1>";
        echo "\t<h1 align='center'>Tabla Grupo Cont&aacute;ctenos(XC3) creada exitosamente</h1>";
        echo "\t<h1 align='center'>Tabla Correos(XC4) creada exitosamente</h1>";
        echo "\t<br><br>";
        echo "\t<h2 align='center'>Importante: No ejecutar este script nuevamente</h1>";
    echo "</html>";
    die();
?>