<?php

    /* 
     * PostXC1.php
     * Programa que se ejecuta en modo POST cuando agregamos registros en la tabla XC1
     * Debido a que en el formulario del Contactenos (REC de la tabla XC1) no se muestran todos los campos de la tabla
     * Es necesario hacer en este punto, la actualizacion de algunos de los campos del ultimo registro insertado que 
     * para este momento llegan vacios. Igualmente se inserta la interaccion correspondiente al registro de un nuevo
     * contactenos, y por ultimo se envia un Email indicando que hay un nuevo Contactenos
     */

    // Parametros Modificables
    
    /* Variables a usar en el mensaje a enviar */
    // Nombre de la Empresa a la que se le esta haciendo la Aplicacion (Ejm: DaDa)
    $PARValor=LeerStd($Lectura,"{$EEE}PAR","PARValor","PARCampo='XCNombreEmpresa'","","","","");
    if ($PARValor>0){
    $row= mysql_fetch_assoc($Lectura);
    }
    $NombreEmpresa = $row[PARValor];
    // Correo usado como Correo Remitente cuando se envia una Respuesta a un Contactenos (Ejm: ventas@diadia.com.ve)
    $PARemail=LeerStd($Lectura2,"{$EEE}PAR","PARValor","PARCampo='XCEmail'","","","","");
    if ($PARemail>0){
    $row2= mysql_fetch_assoc($Lectura2);
    }
    $Correo_NoReply = $row2[PARValor];
    // Asunto del E-mail a enviar
    $Texto_Asunto = "Nuevo Contctenos en {$NombreEmpresa} !";
    // Texto de Agradecimiento (Alert)
    $Texto_Agradecimiento = "Muchas Gracias por Contactarnos !";
    // Nombre de la imagen del logo de la Empresa. Este se mostrara en el mensaje a enviar
    $PARLogo=LeerStd($Lectura,"{$EEE}PAR","PARValor","PARCampo='XCLogotipo'","","","","");
    if ($PARLogo>0){
    $rowLogo= mysql_fetch_assoc($Lectura);
    }
    $Nombre_Logo = $rowLogo[PARValor];
    // URL de la pagina web de la Empresa
    $PARURL=LeerStd($Lectura1,"{$EEE}PAR","PARValor","PARCampo='XCURL'","","","","");
    if ($PARURL>0){
    $row1= mysql_fetch_assoc($Lectura1);
    }
    $URL_Empresa = $row1[PARValor];
    // Nombre del link usado en el texto del mensaje. No es obligatorio en el caso de cambiar toda la estructura del mensaje.
    $Link_Buzon = "BUZN";
    // Mensaje a desplegar en el Alert cuando el Contactenos haya sido enviado Exitosamente.
    $MensajeExito = "Gracias por Contactarnos !";
    
    /* Variables modificables para el estilo css que esta inline en el mensaje a enviar */
    // Tipo de Letra a usar en el Mensaje
    $Tipo_Letra = "Tahoma";
    // Tamanio de la letra a usar en el Mensaje
    $Tamanio_Letra= "14px";
    // Color de la Letra a usar en el Titulo del Mensaje
    $Color_Titulo = "#FF7700";
    // Color de la Letra a usar en el resto del texto del Mensaje
    $Color_Texto = "#0956A3";
    
    /* Otras Variables */
    // Resumen de la Interaccion que se genera al Responder un Contctenos
    $Resumen = 'Email Recibido';
    // Tipo de Interaccin de la Interaccion que se genera al Responder un Contctenos
    $Tipo_int = 'E-mails recibidos';
    // Medio asociado a la Interaccion que se genera al Responder un Contctenos
    $Medio = "E-Mail";

    // Requires necesarios para envio de Correos Electronicos (NO MODIFICAR)
    require_once("$Nivel$RutaPear/PEAR.php");  
    require_once("$Nivel$RutaPear/Mail.php");
    require_once("$Nivel$RutaPear/Mail/mime.php");
    
    // Variables Auxiliares
    
    // Variable que tendra almacenada todas las personas (con sus emails) a los que se les reenviara el contctenos recibido
    $responsables = ""; 
    
    // Aqui cierro el div que se abrio en el programa PRE de esta tabla.
    echo "</div>";
    echo "
        <style> 
            body {display:none;}
        </style>";
    
    // Esto se ejecuta si la operacion es de Agregar (Add)
    if($OperType=='Add') {

        // Aqui se buscara el correo electronico de la(s) personas asociadas al area de atencion (campo Para:) indicado en el 
        // mensaje, las cuales recibiran el correo electronico indicando que se ha recibido un nuevo contactenos.
        
        // Se obtiene el valor del Campo Para. Con esto se sabe cual es el perfil de las personas en la tabla AGE a la que se
        // les enviara el Correo Electronico
        $para = "CPO".NumeroCampo("XC1Link1_XC3");
        $para = $$para;
                        
        /* 
         * Se obtienen las personas que pertenecen al Departamento escogido en el Combo (Variable $para) con sus correspondientes emails 
         * y se almacena en la variable $responsables. Para ello se buscar el codigo del Grupo Contactenos en n2C con el nombre dado. 
         * Luego se buscara a cada persona de la tabla AGE que pertenece al grupo contactenos seleccionado .
         *
         */
         
        $cantReg = LeerStd($resultado, "{$EEE}XC3", "*","XC3Nombre='$para'","","","","");
        $resul = mysql_fetch_array($resultado);
        $codigo = $resul[XC3Codigo];
        $responsables1  = explode(",",$resul[XC3MLink1_AGE]);
        for ($i=0; $i<count($responsables1); $i++) { 
            if ($responsables1[$i] != '') {
                $newResponsables[] = $responsables1[$i];
            }
        }
        
        for ($i=0; $i<count($newResponsables); $i++) { 
            $cantReg = LeerStd($resultado1, "{$EEE}AGE", "*","AGECodigo = '$newResponsables[$i]'","","","","");
            $resul1 = mysql_fetch_array($resultado1);
            $nombre = $resul1[AGELinea1]." ".$resul1[AGELinea3];
            $email = $resul1[AGEEmail1];
            if ($i == 0) {
                $responsables .= $nombre." <".$email.">";
            } else {
                $responsables .= ", ".$nombre." <".$email.">";
            }
        }

        // Variable que contiene el contenido del Campo de Respuesta del formulario del Contactenos
        $bloque = "CPO".NumeroCampo("XC1Bloque1");
        $bloque = $$bloque; 
        
        /* 
         * Aqui se formatea el mensaje a enviar y se les da valores a los distintos parametros a usar en el envio.
         * La variable $Texto puede ser modificada por el programador a su conveniencia. El contenido actual de la misma presenta un mensaje con un diseo
         * bastante empresarial. Se sugiere al mismo probar primero dicho diseo y en el caso de no ser el adecuado al estilo de la aplicacion, sustituirlo
         * por uno mas acorde. 
         * En la misma variable se ha de notar que el mensaje se encuentra en formato HTML. Tiene incluso sus estilos inline, de manera que el estilo permanezca. 
         *
         */
         
        
        $Remite = $NombreEmpresa;
        $CorreoRemite = $Correo_NoReply;
        $CorreoRecibe  = $responsables;
        $Asunto = $Texto_Asunto;
        $Texto = "
            <style type='text/css'>
                .logo {padding-left:15px;}
                .titulo{font-family:{$Tipo_Letra}; font-size:{$Tamanio_Letra}; color:{$Color_Titulo}; line-height:150%;padding-left:15px;text-align:justify;}
                .texto{font-family:{$Tipo_Letra}; font-size:{$Tamanio_Letra}; color:{$Color_Texto}; line-height:150%;padding-left:15px;}
                .subrayado{text-decoration:underline;}
                .negrita{font-weight:bold}
            </style>
            <table border='0' width='100%'>
                <tr>
                    <td colspan='2' class='logo'>
                        <img src='{$URL_Empresa}/{$TOimg}/{$Nombre_Logo}' border='0' alt='{$NombreEmpresa}'>
                       
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td colspan='2' class='texto'>
                        Se ha recibido un nuevo Contctenos en la pgina web de {$NombreEmpresa} con la siguiente informaci&oacute;n:<br><br>
                    </td>
                </tr>
                <tr>
                    <td width='150' valign='top' class='titulo negrita'>
                        Asunto: 
                    </td>
                    <td width='800' class='texto'>
                        {$Asunto}
                    </td>
                </tr>
                <tr>
                    <td width='150' valign='top' class='titulo negrita'>
                        Email Remitente: 
                    </td>
                    <td width='800' class='texto'>
                        {$CorreoRemite}
                    </td>
                </tr>
                <tr>
                    <td width='150' valign='top' class='titulo negrita'>
                        Contenido: 
                    </td>
                    <td class='texto'>
                        {$bloque}
                    </td>
                </tr>
                <tr>
                    <td colspan='2'>
                    <br><br>
                    <span class='texto'>Presiona el siguiente enlace para ir al buzn de Contctenos: 
                        <a href='{$URL_Empresa}/{$NoS}/index.htm?GWT1{$BD}{$EEE}'>
                            <span class='titulo negrita subrayado'>{$Link_Buzon}</span>
                        </a>
                    </span>
                    <br><br>
                </td>
                </tr>
            </table>";
    
        // Aqui se realiza el envo del email (a la persona indicada a recibirlo) indicando que existe un nuevo Contactenos en el Portal
	   
	    EnvioEmail($Remite,$CorreoRemite,$CorreoRecibe,$Asunto,$Texto);

        // Ahora a la persona que envio el Contactenos se le va a enviar al email que coloco en el formulario
        // un email de agradecimiento por haber enviado un nuevo contactenos
        
        // Se obtiene los datos de la persona q envio el contactenos y al que se le enviara el Correo Electronico
        $primerNombre = "CPO".NumeroCampo("XC1Linea2");
        $primerNombre = $$primerNombre;
        $primerApellido = "CPO".NumeroCampo("XC1Linea4");
        $primerApellido = $$primerApellido;
        $nombre = $primerNombre." ".$primerApellido;
        $email = "CPO".NumeroCampo("XC1Email1");
        $email = $$email;
        $responsables = $nombre." <".$email.">";        

        /* 
         * Aqui se formatea el mensaje a enviar y se les da valores a los distintos parametros a usar en el envio.
         * La variable $Texto puede ser modificada por el programador a su conveniencia. El contenido actual de la misma presenta un mensaje con un diseo
         * bastante empresarial. Se sugiere al mismo probar primero dicho diseo y en el caso de no ser el adecuado al estilo de la aplicacion, sustituirlo
         * por uno mas acorde. 
         * En la misma variable se ha de notar que el mensaje se encuentra en formato HTML. Tiene incluso sus estilos inline, de manera que el estilo permanezca. 
         *
         */
        $Remite = $NombreEmpresa;
        $CorreoRemite = $Correo_NoReply;
        $CorreoRecibe  = $responsables;
        $Asunto = $Texto_Agradecimiento;
        if ($Idioma == 'esp'){
            $Texto = "
                <style type='text/css'>
                    .logo {padding-left:15px;}
                    .titulo{font-family:{$Tipo_Letra}; font-size:{$Tamanio_Letra}; color:{$Color_Titulo}; line-height:150%;padding-left:15px;text-align:justify;}
                    .texto{font-family:{$Tipo_Letra}; font-size:{$Tamanio_Letra}; color:{$Color_Texto}; line-height:150%;padding-left:15px;}
                    .subrayado{text-decoration:underline;}
                    .negrita{font-weight:bold}
                </style>
                <table border='0' width='100%'>
                    <tr>
                        <td colspan='2' class='logo'>
                            <img src='{$URL_Empresa}/{$TOimg}/imagenes/{$Nombre_Logo}' border='0' alt='{$NombreEmpresa}'>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan='2' class='texto'>
                            {$Texto_Agradecimiento} Hemos recibido exitosamente su mensaje. A la brevedad posible su solicitud sera Atendida.<br><br>
                        </td>
                    </tr>
                </table>";
        }
        else{
            $Texto_Agradecimiento="Thank you for contact us!   ";
            $Asunto = $Texto_Agradecimiento;
            $Texto = "
                    <style type='text/css'>
                        .logo {padding-left:15px;}
                        .titulo{font-family:{$Tipo_Letra}; font-size:{$Tamanio_Letra}; color:{$Color_Titulo}; line-height:150%;padding-left:15px;text-align:justify;}
                        .texto{font-family:{$Tipo_Letra}; font-size:{$Tamanio_Letra}; color:{$Color_Texto}; line-height:150%;padding-left:15px;}
                        .subrayado{text-decoration:underline;}
                        .negrita{font-weight:bold}
                    </style>
                    <table border='0' width='100%'>
                        <tr>
                            <td colspan='2' class='logo'>
                                <img src='{$URL_Empresa}/{$TOimg}/imagenes/{$Nombre_Logo}' border='0' alt='{$NombreEmpresa}'>
                            </td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan='2' class='texto'>
                                {$Texto_Agradecimiento} Your request has been received. Will be answering You as soon as possible.<br><br>
                            </td>
                        </tr>
                    </table>";
        }
        // Aqui se realiza el envo del email (a la persona indicada a recibirlo) indicando que existe un nuevo Contactenos en el Portal
        EnvioEmail($Remite,$CorreoRemite,$CorreoRecibe,$Asunto,$Texto);

        // Obtengo el ID del ultimo registro Insertado 
        $CodigoXC1 = $XXXCodigo;
        
        // Hago un Update del registro de la tabla con cierta data no proporcionada por el usuario. (Ejemplos: Hora de Envio. Estado del Mensaje, etc.)
        $fecha = time();
        $dia = date("Y-m-d",$fecha);
        $hora = date("H:i",$fecha);
        $status = "Nuevo";
        $update_query = "UPDATE {$EEE}XC1 SET XC1Lista2='{$status}', XC1Fecha1='{$dia}', XC1Hora1='{$hora}' WHERE XC1Codigo='{$CodigoXC1}'";
        $operacion = mysql_query($update_query);   
        if (!$operacion) die ("<p class=mensajeerror>$MM[Error]<br>$update_query</p>".mysql_error());
                
        // Aqui se realiza la Insercion en la tabla INTERACCIONES
        // Variable que contiene el Asunto del Contactenos
        $asunto = $XXXNombre;
        $queryInteraccion = "INSERT INTO {$EEE}XC2 (XC2CodAgente, XC2Nombre, XC2Fecha1, XC2Hora1, XC2Lista1, XC2Lista2, XC2Bloque1, XC2Link1_XC1) VALUES ('$CookieAGENTE','$Resumen','$dia','$hora','$Tipo_int','$Medio','$bloque','$CodigoXC1')";
        $operacion = mysql_query($queryInteraccion);
        if (!$operacion) die ("<p class=mensajeerror>$MM[Error]<br>$queryInteraccion</p>".mysql_error());
        
        // Aqui se lanza el alert de que un nuevo contactenos ha sido enviado.
        echo "
        <script language='JavaScript'>
            alert('{$MensajeExito}');
            location.href = 'versup.php?{$COKO}contactenos/agregarMensaje.htm';
        </script>";
    }
?>